Template
curl --request POST \
--url https://apis.vectalk.com.br/api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messaging_product": "<string>",
"to": "<string>",
"recipient_type": "<string>",
"type": "<string>",
"context": {},
"template": {
"template.name": "<string>",
"template.language": {
"template.language.code": "<string>"
},
"template.components": [
{}
]
}
}
'import requests
url = "https://apis.vectalk.com.br/api/messages"
payload = {
"messaging_product": "<string>",
"to": "<string>",
"recipient_type": "<string>",
"type": "<string>",
"context": {},
"template": {
"template.name": "<string>",
"template.language": { "template.language.code": "<string>" },
"template.components": [{}]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messaging_product: '<string>',
to: '<string>',
recipient_type: '<string>',
type: '<string>',
context: {},
template: {
'template.name': '<string>',
'template.language': {'template.language.code': '<string>'},
'template.components': [{}]
}
})
};
fetch('https://apis.vectalk.com.br/api/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
Mensagens
Template
Envie uma mensagem usando um template aprovado pela Meta
POST
/
messages
Template
Templates precisam estar com status
APPROVED antes de serem usados. Crie em Templates → Criar.string
default:"whatsapp"
required
string
required
Número do destinatário no formato E.164 sem o
+.string
default:"individual"
string
default:"template"
required
object
Para responder uma mensagem. Inclua
message_id da mensagem original.object
required
Exemplos
- Só variáveis no body
- Header com imagem + variáveis
- Botão com parâmetro dinâmico
{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "template",
"template": {
"name": "order_confirmation",
"language": { "code": "pt_BR" },
"components": [
{
"type": "body",
"parameters": [
{ "type": "text", "text": "João" },
{ "type": "text", "text": "#12345" }
]
}
]
}
}
{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "template",
"template": {
"name": "promo_imagem",
"language": { "code": "pt_BR" },
"components": [
{
"type": "header",
"parameters": [
{ "type": "image", "image": { "link": "https://example.com/promo.jpg" } }
]
},
{
"type": "body",
"parameters": [
{ "type": "text", "text": "50%" }
]
}
]
}
}
{
"messaging_product": "whatsapp",
"to": "5511999999999",
"type": "template",
"template": {
"name": "rastreio_pedido",
"language": { "code": "pt_BR" },
"components": [
{
"type": "body",
"parameters": [
{ "type": "text", "text": "#12345" }
]
},
{
"type": "button",
"sub_type": "url",
"index": "0",
"parameters": [
{ "type": "text", "text": "12345ABC" }
]
}
]
}
}
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
⌘I